package com.ruoyi.common.utils.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;


@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = StateValueValidator.class)
@Documented
public @interface StateValue {
    String message() default "状态值不正确";
    Class<?>[] groups() default {};
    Class<? extends Payload>[] payload() default {};
}
